diff --git a/doc/src/sgml/release-17.sgml b/doc/src/sgml/release-17.sgml
index e68c499e0db..7f36a35954d 100644
--- a/doc/src/sgml/release-17.sgml
+++ b/doc/src/sgml/release-17.sgml
@@ -519,6 +519,25 @@ Allow vacuum to more efficiently remove and freeze tuples (Masahiko Sawada, John
 </para>
 </listitem>
 
+<!--
+Author: Masahiko Sawada <msawada@postgresql.org>
+2024-03-21 [30e144287] Add TIDStore, to store sets of TIDs (ItemPointerData) ef
+Author: Masahiko Sawada <msawada@postgresql.org>
+2024-04-02 [667e65aac] Use TidStore for dead tuple TIDs storage during lazy vac
+Author: Heikki Linnakangas <heikki.linnakangas@iki.fi>
+2024-04-03 [6dbb49026] Combine freezing and pruning steps in VACUUM
+-->
+
+<listitem>
+<para>
+Allow vacuum to more efficiently store tuple references and remove its memory limit (Masahiko Sawada, John Naylor)
+</para>
+
+<para>
+Specifically, maintenance_work_mem and autovacuum_work_mem can now be configured to use more than one gigabyte of memory.  WAL traffic caused by vacuum is also more compact.
+</para>
+</listitem>
+
 <!--
 Author: Robert Haas <rhaas@postgresql.org>
 2024-01-18 [c120550ed] Optimize vacuuming of relations with no indexes.
